package types

// IDesktop -- интерфейс к десктоп-приложению
type IDesktop interface {
	IKernel
	// Store -- возвращает хранилище клиента
	Store() IStore
	// Ws -- возвращает веб-сокет до сервера
	Ws() IWebSocket
	// Root -- возвращает объект рута
	Root() IRoot
	// DictBot -- возвращает словарь ботов игрока
	DictBot() IDictBot
}
